TAO_NSADD
1

# &applname;

Naming Service add utility.

## SYNOPSIS

          &applname;
          -ORBoptions
          OPTION

## DESCRIPTION

&applname; adds or replaces new entry to the NamingService.

&applname; requires a running NamingService.

## OPTIONS

`-ORBoptions`

  The program follows the usual TAO ORB command line syntax. See &man_tao_orb_options;.

`--ns` IOR

  Use NamingService IOR instead of default.

`--name` name

  Register name in NamingService.

`--ior` IOR

  IOR of the object to be registered.

`--newcontext`
`--ctx`

  If --ctx is NOT given; binds a final object.

  If both --ior and --ctx are specified; binds the existing\n" "naming context specified.

  If --ctx is given without --ior; binds a new naming context.

`--rebind`

  Replace the existing bindings of the same type (object or context).

`--quiet`

  Do not display all ID/Kinds found/created.

`--ctxsep` character

  Set context separation character, defaults to "/".

`--kindsep` character

  Set ID/Kind separation character, defaults to ".".

## SEE ALSO

&seealso;

## AUTHOR

Simon Massey <sma@prismtech.com>

Carlos O'Ryan <coryan@uci.edu>

Paul Caffrey <denginere@hotmail.com>